#!/bin/ash
mypath=${0%/*}

showRadio "zWallpaper2.0" "" "on" "off" "restore to default" "autorun on" "autorun off" "wallpaper dir setting" "read me" 
case "$?" in
1)
if [ ! -f $mypath/d.txt ]
then
	showQ "watch out" "You don't set wallpaper directory, so it will use default 10 pieces of wallpaper. Press right key if you want to back to set it." 1
	if [ "$?" = "0" ]
	then
	exec $mypath/load.sh
	fi
	echo "$mypath/.jpg/2.jpg
$mypath/.jpg/3.jpg
$mypath/.jpg/4.jpg
$mypath/.jpg/6.jpg
$mypath/.jpg/5.jpg
$mypath/.jpg/7.jpg
$mypath/.jpg/8.jpg
$mypath/.jpg/9.jpg
$mypath/.jpg/10.jpg
$mypath/.jpg/1.jpg" >$mypath/jpg.txt
	echo "$mypath/.jpg" >$mypath/d.txt
	/$mypath/getcall1 "/$mypath/start.sh" "/$mypath/end.sh" &
	/$mypath/getWallpaperFileName /$mypath/dft.txt
	showNotify "it is on" "Wallpaper directory is $mypath/.jpg, and 10 pieces of wallpaper in it." 0 15
	exec $mypath/load.sh
	exit 0
else
	c=`cat $mypath/d.txt`
	n2=`sed -n '$=' $mypath/jpg.txt`
	showQ "watch out" "Wallpaper directory is $c，and $n2 pieces of wallpaper in it. Do you want to turn it on?" 1
	if [ "$?" = "0" ]
	then
	exec $mypath/load.sh
	fi
	/$mypath/getcall1 "/$mypath/start.sh" "/$mypath/end.sh" &
	/$mypath/getWallpaperFileName /$mypath/dft.txt
	showNotify "it is on" "Wallpaper directory is $c, and $n2 pieces of wallpaper in it." 0 15
	exec $mypath/load.sh
	exit 0
fi
exit 0
;;
2)
showQ "turn it off" "Do you want to turn it off?" 1
if [ "$?" = "0" ]
then
exec $mypath/load.sh
exit 0
fi
kill `pidof getcall1`
showNotify "done" "It is off." 0 4
exec $mypath/load.sh
exit 0
;;
3)showQ "restore to default" "To prevent error, wallpaper changing is off while restoring to default wallpaper. Do you want to restore to default wallpaper?" 1
if [ "$?" = "0" ]
then
exec $mypath/load.sh
exit 0
fi
dft=`cat /$mypath/dft.txt`
/$mypath/setWallPaper $dft
rm /$mypath/dft.txt
kill `pidof getcall1`
showNotify "done" "It is your default wallpaper now." 0 4
exec $mypath/load.sh
exit 0
;;
4)
showQ "add to autorun" "Do you want to add to autorun?" 1
if [ "$?" = "0" ]
then
exec $mypath/load.sh
exit 0
fi
if [ -f /mmc/mmca1/mpkgbox/zWallpaper2.0en/getcall1 ]
then
cp $mypath/S01jpgc /ezxlocal/download/mystuff/unKnown/
else
cp $mypath/S01jpgp /ezxlocal/download/mystuff/unKnown/
fi
showNotify "done" "Autorun is on." 0 4
exec $mypath/load.sh
exit 0
;;
5)
showQ "delete autorun" "Do you want to delete autorun?" 1
if [ "$?" = "0" ]
then
exec $mypath/load.sh
exit 0
fi
rm -f /ezxlocal/download/mystuff/unKnown/S01jpgc
rm -f /ezxlocal/download/mystuff/unKnown/S01jpgp
showNotify "done" "Autorun is off." 0 4
exec $mypath/load.sh
exit 0
;;
6)
showQ "warning" "1.Make sure that the directory you choose is right;
2.Make sure that there are jpg files with resolution of 240×320 in the directory." 2
cc=`$mypath/showFileBrowse $mypath/dir.txt directory 1 / `
if [ ! -f $mypath/dir.txt ]
then
exec $mypath/load.sh
fi
d=`cat $mypath/dir.txt`
find $d/ -name *.jpg > $mypath/jpg.txt
n1=`sed -n '$=' $mypath/jpg.txt`
mv -f $mypath/dir.txt $mypath/d.txt 
showNotify "done" "Wallpaper directory is $d, and $n1 pieces of wallpaper in it." 0 15
exec $mypath/load.sh
exit 0
;;
7)
showQ "read me" "1.This program uses fay(Ilove3d)'s and 夏日清泉(Justin)'s control widgets to make your wallpaper change when a call is in, so give my thanks to them.
2.There are 10 pieces of wallpaper in the program directory. Meanwhile, you can manually choose the directory of wallpaper you love.
3.It works well at fay's EVOMAX but I am not sure it will work well at other reflashes.
4.A known bug is that if you press the red key to refuse the call too fast, the wallpaper will not change completely. But it will be OK when you do any opration next.
5.PM me if bugs or mail to phythias@gmail.com.
6.I can't read Russian, so I translate it to English. Maybe the traslation is not exact, so try to understand what I say.  lol
by 一月（phythias）  from www.Magxcn.com  2010-6-13 " 2
exec $mypath/load.sh
exit 0
;;
*)
exit 0
;;
esac